# Gimp.Drawable.prototype.foreground_extract

    function foreground_extract(mode: Gimp.ForegroundExtractMode, mask: Gimp.Drawable): Boolean {
        // Gjs wrapper for gimp_drawable_foreground_extract()
    }

Extract the foreground of a drawable using a given trimap.

Image Segmentation by Uniform Color Clustering, see https://www.inf.fu-berlin.de/inst/pubs/tr-b-05-07.pdf

Since 2.4

mode

  The algorithm to use.

mask

  Tri-Map.

Returns

  TRUE on success.